## Version Information Version Information — Spice-Gtk version checking |

## Functions

#define | SPICE_GTK_CHECK_VERSION()

## Types and Values

#define | SPICE_GTK_MAJOR_VERSION
#define | SPICE_GTK_MICRO_VERSION
#define | SPICE_GTK_MINOR_VERSION

## Includes

    #include <spice-version.h>

## Description

Spice-Gtk provides macros to check the version of the library at compile-time

## Functions

### SPICE_GTK_CHECK_VERSION()

    #define             SPICE_GTK_CHECK_VERSION(major, minor, micro)

Compile-time version checking. Evaluates to `TRUE` if the version of Spice-Gtk is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

Since: 0.24

## Types and Values

### SPICE_GTK_MAJOR_VERSION

    #define SPICE_GTK_MAJOR_VERSION              (0)

Spice-Gtk major version component (e.g. 1 if version is 1.2.3)

Since: 0.24

### SPICE_GTK_MICRO_VERSION

    #define SPICE_GTK_MICRO_VERSION              (0)

Spice-Gtk micro version component (e.g. 3 if version is 1.2.3)

Since: 0.24

### SPICE_GTK_MINOR_VERSION

    #define SPICE_GTK_MINOR_VERSION              (34)

Spice-Gtk minor version component (e.g. 2 if version is 1.2.3)

Since: 0.24